#ifndef __STDIO_H__
#include "stdio.h"
#endif

/* Postscript drawing event types (need not be visible here) */

#define	FL_POSTSCRIPT	500			/* best-match postscript output */
#define FL_PSOUTLINE	501			/* line-drawing rendition */

/* scaling, style and orientation constants */

#define FL_PS_SCALE_16INCH ((float)0.65)
#define FL_PS_SCALE_19INCH ((float)0.75)
#define FL_PS_SCALE_FITPAGE ((float)0.0)
#define FL_PS_SCALE_DONTSCALE ((float)1.0)

#define FL_PS_RENDER_POSTSCRIPT 1
#define FL_PS_RENDER_PSOUTLINE 2
#define FL_PS_RENDER_EPS 3
#define FL_PS_RENDER_EPSOUTLINE 4

#define FL_PS_ORIENT_PORTRAIT 1
#define FL_PS_ORIENT_LANDSCAPE 2
#define FL_PS_ORIENT_BESTFIT 3

/* Function prototypes available for library users */
void	fl_ps_all_forms(FILE *, int orient, float scale, int style);
void	fl_ps_form(FL_FORM *, FILE *, int orient, float scale, int style);
void	fl_ps_object(FL_OBJECT *, FILE *, int orient, float scale, int style);
int		fl_handleprintscreen(FL_FORM *form);
FILE	*fl_ps_openstream(int *orient, float *scaling, int *style);
void	fl_ps_closestream(FILE *);

/* Function prototypes needed for class developers */
void	ps_color(int);
void    ps_line(float, float, float, float, int);
void    ps_rect(float, float, float, float, int);
void    ps_bound(float, float, float, float, int);
void    ps_rectbound(float, float, float, float, int);
void	fl_ps_box(int, int ,float, float, float, float, int,float);
void	fl_ps_string(int, int, float, float, float, float,
			int, int, int, int, float, int,
			int, int, int, char []);
void	fl_ps_text(int, int, float, float, float, float,
			int, float, int, char[]);
void	fl_ps_text_beside(int, int, float, float, float, float,
			int, float, int, char[]);
void	fl_ps_text_cursor(int, int, float, float, float, float,
			int, float, int, char[], int, int);
int 	fl_ps_symbol(int, char [], float, float, float,float, int);
void	ps_set_clipping(float x,float y,float w,float h);
void	ps_unset_clipping();
/* Global output stream pointer needed for class developers */
extern	FILE	*_fl_ps;
